Module | Sequel::IBMDB::Dataset::CallableStatementMethods
In: | lib/sequel/adapters/ibmdb.rb

### Methods

subselect_sql_append

### Public Instance methods

subselect_sql_append(sql, ds)

Extend given dataset with this module so subselects inside subselects in prepared statements work.

[Source]

         # File lib/sequel/adapters/ibmdb.rb, line 362
    362:         def subselect_sql_append(sql, ds)
    363:           ps = ds.to_prepared_statement(:select).clone(:append_sql=>sql)
    364:           ps.extend(CallableStatementMethods)
    365:           ps = ps.bind(@opts[:bind_vars]) if @opts[:bind_vars]
    366:           ps.prepared_args = prepared_args
    367:           ps.prepared_sql
    368:         end

[Validate]